function err= edp1dexp(a,b,n,r,tfin)
% c\car\work\edp1dexp.m
% ecuacion u_t=u_xx con c.i. y c.b. dadas
% err=edp1dexp(a,b,n,r,tfin)
% a, b: limites de intervalo
% n+1: numero de subdivisiones en [a,b]
% r: k/h^2, controla estabilidad en algunos casos
% tfin: tiempo en el que se pide la solucion
% uex: solucion exacta valida en dominio y fronteras
% err: errror relativo en solucion calculada
h=(b-a)/(n+1);
k=r*h^2;
x=a+h:h:b-h;  %dominio espacial de solucion
xa=[a x b];   % dominio ampliado
t=0;
vold=uex(t,x);
vnew=vold;
% metodo explicito
while t<tfin
    vnew(1)=vold(1)+r*(-2*vold(1)+vold(2));
    vnew(n)=vold(n)+r*(-2*vold(n)+vold(n-1));
    for i=2:n-1
    vnew(i)=vold(i)+r*(vold(i-1)-2*vold(i)+vold(i+1));
end
t=t+k;vold=vnew;
end
volda=[0 vold 0];
er=norm(volda-uex(tfin,xa));nex=norm(uex(tfin,xa));
err=er/nex;
%plot(xa,volda,'r',xa,uex(tfin,xa),'k*');
%xlabel(' Espacio');ylabel('Exacta (*) y calculada (-)');
%title(['Metodo explicito, r = ',num2str(r),'  t = ',num2str(tfin)]);



