% Herramienta didactica, Carlos E. Mejia, 2002
% uso: ode3
% solucion numerica de PVI, metodo de Euler
% rhs3: m-archivo con lado derecho en el pvi
% inte: intervalo [to,tfin] 
% ci: condicion inicial y(to)
clear all
inte=[0 4];ci=[2;1];
t=linspace(inte(1),inte(2),800);
y=zeros(length(t),2);h=(inte(2)-inte(1))/length(t);
y(1,:)=ci(:)';
for j=1:length(t)-1
   y(j+1,:)=y(j,:)+h*feval('rhs3',t,y(j,:)')';
end
y1=y(:,1);
y2=y(:,2);
subplot(2,1,1);
plot(t,y1,'k*',t,y2,'k');
axis([0 3/2 0 2]);
%ylabel ('y_1(t) y y_2(t)')
title('Ecuacion yprime=Ay');
subplot(2,1,2);
plot(y1,y2,'r');
%xlabel y_1(t);ylabel y_2(t);
xlabel('Diagrama de fase Y_1 VS Y_2');
%print -deps2 .\fig\ode3.eps
